> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/transactions/reading-crypto-deposit.md).

# Reading crypto deposit

<mark style="color:green;">`GET`</mark> `/api/public/v1/transactions/coin_deposits/:id`

Returns a single crypto deposit transaction by ID. The account transaction is returned in `data`, with its on-chain details, network, and receiving address in `included[]`.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**Path Parameters**

| Name | Type   | Description     |
| ---- | ------ | --------------- |
| id   | string | Transaction ID. |

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": {
    "id": "41a054ab-e95d-4ebc-91e2-fdf8a7d80ba2",
    "type": "transactions",
    "attributes": {
      "createdAt": "2026-04-03T09:46:50.510Z",
      "simplifiedState": "rejected",
      "transactionType": "CoinTransaction",
      "amount": "7.700000",
      "currency": "USDT",
      "balance": "10637559.798182",
      "reference": null,
      "accountId": "8140e530-4cd3-47e0-b813-9c473e9a2ea3"
    },
    "relationships": {
      "account": {
        "meta": {
          "included": false
        }
      },
      "transactionDetails": {
        "data": {
          "type": "coinTransactions",
          "id": "41a054ab-e95d-4ebc-91e2-fdf8a7d80ba2"
        }
      },
      "author": {
        "meta": {
          "included": false
        }
      }
    }
  },
  "included": [
    {
      "id": "41a054ab-e95d-4ebc-91e2-fdf8a7d80ba2",
      "type": "coinTransactions",
      "attributes": {
        "txHash": "48cd65dd45571ff2d24684b2b2819fd0b32e20069da9e98ab8bf14ef51d4cc3f",
        "currencyCode": "USDT",
        "createdAt": "2026-04-03T09:46:50.451Z",
        "state": "rejected",
        "amount": "7.700000",
        "accountId": "8140e530-4cd3-47e0-b813-9c473e9a2ea3",
        "reference": null,
        "simplifiedState": "rejected",
        "sourceAddresses": [
          "TTbGTMwUwA3mncLP7xqCZei1ekaNSgeAJe"
        ]
      },
      "relationships": {
        "network": {
          "data": {
            "type": "network",
            "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2"
          }
        },
        "address": {
          "data": {
            "type": "addresses",
            "id": "e92d7fb6-4cc0-4814-9a2b-8830ead8e833"
          }
        },
        "author": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Tron (TRC20)",
        "code": "ttrx:usdt"
      }
    },
    {
      "id": "e92d7fb6-4cc0-4814-9a2b-8830ead8e833",
      "type": "addresses",
      "attributes": {
        "label": "My Wallet",
        "value": "TGRA6wC7T35dXwdGsSAevNmVJ8srGQKDeE",
        "createdAt": "2026-05-07T10:01:07.566Z"
      },
      "relationships": {
        "account": {
          "meta": {
            "included": false
          }
        },
        "network": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}

**Response Body**

<table><thead><tr><th>Name</th><th width="99">Type</th><th>Description</th></tr></thead><tbody><tr><td>data.id</td><td>string</td><td>Account transaction ID.</td></tr><tr><td>data.type</td><td>string</td><td>Entity type returned. Always <code>transactions</code>.</td></tr><tr><td>data.attributes</td><td>object</td><td>A set of account transaction attributes.</td></tr><tr><td>data.attributes.createdAt</td><td>string</td><td>Account transaction creation timestamp in UTC+0. Refer to the <a href="/pages/H7xWDJMZukOei8CS8tUW">Date and time format</a> page.</td></tr><tr><td>data.attributes.simplifiedState</td><td>string</td><td>Account transaction status. Can be one of: <code>pending</code>, <code>processing</code>, <code>completed</code>, <code>on_hold</code>, <code>rejected</code>, <code>cancelled</code>.</td></tr><tr><td>data.attributes.transactionType</td><td>string</td><td>Account transaction type. Can only be <code>CoinTransaction</code>.</td></tr><tr><td>data.attributes.amount</td><td>string</td><td>Account transaction amount.</td></tr><tr><td>data.attributes.currency</td><td>string</td><td>Account transaction currency.</td></tr><tr><td>data.attributes.balance</td><td>string</td><td>Account balance immediately after Txn processed this transaction.</td></tr><tr><td>data.attributes.reference</td><td>string</td><td>Account transaction reference.</td></tr><tr><td>data.attributes.accountId</td><td>string</td><td>ID of the account the transaction belongs to.</td></tr><tr><td>data.relationships.transactionDetails</td><td>object</td><td>Link to the on-chain deposit details, returned as a <code>coinTransactions</code> entity in <code>included[]</code>.</td></tr><tr><td>included[].id</td><td>string</td><td>Transaction ID.</td></tr><tr><td>included[].type</td><td>string</td><td>Entity type returned. Always <code>coinTransactions</code>.</td></tr><tr><td>included[].attributes</td><td>object</td><td>A set of crypto transaction attributes.</td></tr><tr><td>included[].attributes.txHash</td><td>string</td><td>Crypto transaction hash.</td></tr><tr><td>included[].attributes.currencyCode</td><td>string</td><td>Crypto transaction currency.</td></tr><tr><td>included[].attributes.createdAt</td><td>string</td><td>Crypto transaction creation timestamp in UTC+0. Refer to the <a href="/pages/H7xWDJMZukOei8CS8tUW">Date and time format</a> page.</td></tr><tr><td>included[].attributes.state</td><td>string</td><td>Internal Txn state. Ignore this field — use <code>data.attributes.simplifiedState</code> in your implementation.</td></tr><tr><td>included[].attributes.amount</td><td>string</td><td>Crypto transaction amount.</td></tr><tr><td>included[].attributes.accountId</td><td>string</td><td>Account ID which the crypto transaction belongs to.</td></tr><tr><td>included[].attributes.reference</td><td>string</td><td>Transaction reference.</td></tr><tr><td>included[].attributes.simplifiedState</td><td>string</td><td>Crypto transaction status. Can be one of: <code>pending</code>, <code>processing</code>, <code>completed</code>, <code>on_hold</code>, <code>rejected</code>, <code>cancelled</code>.</td></tr><tr><td>included[].attributes.sourceAddresses</td><td>array</td><td>Wallet address(es) the funds were sent from. Typically a single address; may contain multiple entries when the deposit arrived via a UTXO-based network (BTC, LTC, BCH, DOGE, etc.) and the sender’s wallet combined several inputs.</td></tr><tr><td>included[].type(network).attributes.name</td><td>string</td><td>Network name. E.g. <code>Tron (TRC20)</code>.</td></tr><tr><td>included[].type(network).attributes.currencyCode</td><td>string</td><td>Currency code for the network.</td></tr><tr><td>included[].type(network).attributes.code</td><td>string</td><td>Network code. E.g. <code>ttrx:usdt</code>. Refer to <a href="/pages/SA7q0b6VrvXO3W09TQfS">Supported currencies</a>.</td></tr><tr><td>included[].type(addresses).attributes.label</td><td>string</td><td>Address label.</td></tr><tr><td>included[].type(addresses).attributes.value</td><td>string</td><td>The wallet address the deposit was received at.</td></tr><tr><td>included[].type(addresses).attributes.createdAt</td><td>string</td><td>Timestamp when the address was created.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.txn.io/transactions/reading-crypto-deposit.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
